package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * @author XinYi Song
 */
@Entity
@Table(name = "file_path")
public class FilePath {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "file_path_seq_gen")
    @SequenceGenerator(name = "file_path_seq_gen", sequenceName = "file_path_id_seq",allocationSize = 1)
    private Integer id;

    /**
     * 图片路径
     */
    @Column(length = 500,columnDefinition = "varchar(500)")
    private String filePath;

    @Column(length = 88,columnDefinition = "varchar(88)")
    private String fileName;

    @Column(length = 65,columnDefinition = "varchar(65)")
    private String size;

    @Column(length = 85,columnDefinition = "varchar(85)")
    private String mtime;

    @Column(length = 88,columnDefinition = "varchar(88)")
    private String url;

    @Column(length = 85,columnDefinition = "varchar(85)")
    private String md5;

    @Column(length = 65,columnDefinition = "varchar(65)")
    private String scene;

    public FilePath() {
    }

    public FilePath(Integer id, String filePath, String fileName, String size, String mtime, String url, String md5, String scene) {
        this.id = id;
        this.filePath = filePath;
        this.fileName = fileName;
        this.size = size;
        this.mtime = mtime;
        this.url = url;
        this.md5 = md5;
        this.scene = scene;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getSize() {
        return size;
    }

    public void setSize(String size) {
        this.size = size;
    }

    public String getMtime() {
        return mtime;
    }

    public void setMtime(String mtime) {
        this.mtime = mtime;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getMd5() {
        return md5;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }

    public String getScene() {
        return scene;
    }

    public void setScene(String scene) {
        this.scene = scene;
    }

    @Override
    public String toString() {
        return "FilePath{" +
                "id=" + id +
                ", filePath='" + filePath + '\'' +
                ", fileName='" + fileName + '\'' +
                ", size='" + size + '\'' +
                ", mtime='" + mtime + '\'' +
                ", url='" + url + '\'' +
                ", md5='" + md5 + '\'' +
                ", scene='" + scene + '\'' +
                '}';
    }
}
