package com.xkrs.utils;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

public class DateTimeUtils {

    public final static DateTimeFormatter DATE_TIME_FORMATTER_1 = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
    public final static DateTimeFormatter DATE_TIME_FORMATTER_2 = DateTimeFormatter.ofPattern("yyyy-MM-dd");


    public static String localDateTimeToString(LocalDateTime localDateTime) {
        return DATE_TIME_FORMATTER_1.format(localDateTime);
    }

    public static LocalDateTime stringToLocalDateTime(String localDateTimeString) {
        try {
            return LocalDateTime.parse(localDateTimeString, DATE_TIME_FORMATTER_1);
        } catch (Exception e) {
            LocalDate localDate = LocalDate.parse(localDateTimeString, DATE_TIME_FORMATTER_2);
            return LocalDateTime.of(localDate.getYear(), localDate.getMonth(), localDate.getDayOfMonth(), 0, 0, 0);
        }
    }
}
